import 'package:flutter/material.dart';

import '../../packages/ambito_theme/ambito_theme.dart';
import 'cancel_button.dart';
import 'delete_button.dart';

class DeleteButtonsGroup extends StatelessWidget {
  final VoidCallback onPressed;

  const DeleteButtonsGroup({super.key, required this.onPressed});

  @override
  Widget build(BuildContext context) {
    final AmbitoTheme theme = getTheme(context);
    return Align(
      alignment: Alignment.centerRight,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.end,
        children: [
          const CancelButton(),
          theme.horizontalSpacer,
          DeleteButton(onPressed: onPressed),
        ],
      ),
    );
  }
}
